List schedule orders
curl --request GET \
--url https://api.juo.io/admin/v1/schedules/ \
--header 'X-Juo-Admin-Api-Key: <api-key>' \
--header 'X-Tenant-ID: <x-tenant-id>'import requests
url = "https://api.juo.io/admin/v1/schedules/"
headers = {
"X-Tenant-ID": "<x-tenant-id>",
"X-Juo-Admin-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Tenant-ID': '<x-tenant-id>', 'X-Juo-Admin-Api-Key': '<api-key>'}
};
fetch('https://api.juo.io/admin/v1/schedules/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orders": [
{
"id": "<string>",
"customerId": "<string>",
"currencyCode": "<string>",
"skipped": true,
"date": "2023-11-07T05:31:56Z",
"cycleIndex": 1,
"subtotal": 1,
"deliveryPrice": 1,
"deliveryAddress": {
"firstName": "<string>",
"lastName": "<string>",
"address1": "<string>",
"address2": "<string>",
"zip": "<string>",
"city": "<string>",
"countryCode": "<string>",
"provinceCode": "<string>",
"phone": "<string>",
"company": "<string>"
},
"paymentMethodId": "<string>",
"items": [
{
"id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"quantity": 2,
"price": 1,
"totalPrice": 1,
"variant": "<string>",
"product": "<string>",
"subscription": "550e8400-e29b-41d4-a716-446655440000",
"subscriptionItem": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"parentProductId": "<string>",
"parentLineId": "<string>",
"customAttributes": [
{
"key": "<string>",
"value": "<string>"
}
]
}
],
"discounts": [
{
"id": "<string>",
"title": "<string>",
"target": "line",
"value": {
"type": "percentage",
"percentage": 50
},
"entitledItems": {
"all": true
},
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
]
}Schedules
Get schedule
Returns a customer schedule.
GET
/
schedules
/
List schedule orders
Authorizations
AdminApiKeyBearerToken
Long-lived Admin API key issued from the Juo merchant portal. Pass as the X-Juo-Admin-Api-Key header.
Headers
Unique identifier of the tenant in the system (usually a store identifier)
Query Parameters
The customer identifier
Minimum string length:
1Required range:
1 <= x <= 10The search query string. See search query language for information how to build the search query. Supported fields are listed here.
Minimum string length:
1Response
Default Response
Show child attributes
Show child attributes
⌘I